liborigin 2.0.0

Public Member Functions | Public Attributes | List of all members
Origin::Rect Struct Reference

`#include <OriginObj.h>`

## Public Member Functions
int | height () const
bool | isValid () const
| Rect (short width=0, short height=0)
int | width () const

## Public Attributes
short | bottom
short | left
short | right
short | top

## Constructor & Destructor Documentation

## ◆ Rect()

Origin::Rect::Rect | ( | short | width = `0`,
|  | short | height = `0`
| ) |  |
| inline

## Member Function Documentation

## ◆ height()

int Origin::Rect::height | ( |  | ) | const
| inline

References bottom, and top.

Referenced by isValid().

## ◆ isValid()

bool Origin::Rect::isValid | ( |  | ) | const
| inline

References height(), and width().

## ◆ width()

int Origin::Rect::width | ( |  | ) | const
| inline

References left, and right.

Referenced by isValid().

## Member Data Documentation

## ◆ bottom

short Origin::Rect::bottom

Referenced by height(), Origin750Parser::parse(), Origin610Parser::readNotes(), and Origin800Parser::readNotes().

## ◆ left

short Origin::Rect::left

Referenced by Origin750Parser::parse(), Origin610Parser::readNotes(), Origin800Parser::readNotes(), and width().

## ◆ right

short Origin::Rect::right

Referenced by Origin750Parser::parse(), Origin610Parser::readNotes(), Origin800Parser::readNotes(), and width().

## ◆ top

short Origin::Rect::top

Referenced by height(), Origin750Parser::parse(), Origin610Parser::readNotes(), and Origin800Parser::readNotes().

The documentation for this struct was generated from the following file:

- /tmp/slackdce/slackrepo.5NA6jZ/build_liborigin/liborigin/OriginObj.h